import { mdImg, mdLink } from "markdown-function";
export var toMarkdown = function (parseResult) {
    var title = parseResult.title, url = parseResult.url, coverImageUrl = parseResult.coverImageUrl, annotations = parseResult.annotations;
    var annotationsBody = annotations
        .map(function (annotation) {
        var note = annotation.note ? "\n\n".concat(annotation.note) : "";
        return "> ".concat(annotation.highlight.split("\n").join("\n> "), "  \n> Location: ").concat(mdLink({
            url: annotation.kindleUrl,
            title: String(annotation.locationNumber),
            text: String(annotation.locationNumber)
        })).concat(note);
    })
        .join("\n\n");
    return "# ".concat(mdLink({ url: url, title: title, text: title }), "\n\n").concat(mdImg({ url: coverImageUrl, alt: "cover image" }), "\n\n").concat(annotationsBody, "\n");
};
//# sourceMappingURL=markdown.js.map